Skip to content
EN

通用2.0-文生图

方法: POST路径: /volcv/v1

https://www.volcengine.com/docs/6791/1279296详情请看官方对接文档

请求参数

Query 参数

text
Action
string
必需
示例:
CVProcess
Version
string
必需
示例:
2022-08-31

Header 参数

text
Authorization
string
可选
默认值:
Bearer {{YOUR_API_KEY}}

Body 参数 application/json

text
object
示例
{
"req_key"
:
"high_aes_general_v20"
,
"prompt"
:
"千军万马"
,
"seed"
:
-1
,
"scale"
:
3.5
,
"ddim_steps"
:
16
,
"width"
:
512
,
"height"
:
512
,
"use_sr"
:
true
,
"return_url"
:
true
,
"logo_info"
:
{
"add_logo"
:
false
,
"position"
:
0
,
"language"
:
0
,
"opacity"
:
0.3
,
"logo_text_content"
:
"这里是明水印内容"
}
}

请求示例代码

Shell

bash
curl --location --request POST '/volcv/v1?Action=CVProcess&Version=2022-08-31' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "req_key":"high_aes_general_v20",
    "prompt":"千军万马",
    "seed":-1,
    "scale":3.5,
    "ddim_steps":16,
    "width":512,
    "height":512,
    "use_sr":true,
    "return_url":true,
    "logo_info": {
        "add_logo": false,
        "position": 0,
        "language": 0,
        "opacity": 0.3,
        "logo_text_content": "这里是明水印内容"
    }
}'

返回响应

🟢 200 成功

内容类型: application/json

响应结构

text
object

示例

json
{
    "code": 10000,
    "data": {
        "algorithm_base_resp": {
            "status_code": 0,
            "status_message": "Success"
        },
        "binary_data_base64": [],
        "image_urls": [
            "https://xxx"
        ],
        "predict_tags_result": "",
        "rephraser_result": "壮观的场景,展现了千军万马。画面中,穿着衣服的士兵们身着铠甲,手持长矛,整齐划一地行进在大地上。他们的身后是蓝天白云,而前方则是无尽的草原。",
        "request_id": "0567fc0c9455fa1698df7c48687cb0cc45f7b73a9d87a3f2ae16d06212183aa5"
    },
    "message": "Success",
    "request_id": "2024081617272268D32DE194F8F79A9B58",
    "status": 10000,
    "time_elapsed": "9.7982114s"
}